<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::GPData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_g_p_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_g_p_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::GPData Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>struct containing all information regarding the Gaussian process  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="gp_data_8h_source.html">gpData.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::GPData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structmelon_1_1_g_p_data.png" usemap="#melon::GPData_map" alt=""/>
  <map id="melon::GPData_map" name="melon::GPData_map">
<area href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism." alt="ModelData" shape="rect" coords="0,0,94,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abf55d00a79969bcb9ddcb74575b6a5ab" id="r_abf55d00a79969bcb9ddcb74575b6a5ab"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">kernel::KernelData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abf55d00a79969bcb9ddcb74575b6a5ab">kernelData</a></td></tr>
<tr class="separator:abf55d00a79969bcb9ddcb74575b6a5ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94460988623f8f8f5debb885629ed58" id="r_af94460988623f8f8f5debb885629ed58"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af94460988623f8f8f5debb885629ed58">nX</a></td></tr>
<tr class="separator:af94460988623f8f8f5debb885629ed58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9747c4e9b1dc647a48ca708254d141f0" id="r_a9747c4e9b1dc647a48ca708254d141f0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9747c4e9b1dc647a48ca708254d141f0">DX</a></td></tr>
<tr class="separator:a9747c4e9b1dc647a48ca708254d141f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc4059f55f790dd99b89f06edc280807" id="r_abc4059f55f790dd99b89f06edc280807"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abc4059f55f790dd99b89f06edc280807">DY</a></td></tr>
<tr class="separator:abc4059f55f790dd99b89f06edc280807"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38be65d3ef7888bde2f9c2aaa26a296d" id="r_a38be65d3ef7888bde2f9c2aaa26a296d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a38be65d3ef7888bde2f9c2aaa26a296d">matern</a></td></tr>
<tr class="separator:a38be65d3ef7888bde2f9c2aaa26a296d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4efbfa86dbc7ca4cbd863a3629c5ad5" id="r_ab4efbfa86dbc7ca4cbd863a3629c5ad5"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab4efbfa86dbc7ca4cbd863a3629c5ad5">inputScalerData</a></td></tr>
<tr class="separator:ab4efbfa86dbc7ca4cbd863a3629c5ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0016bdf5ba5ce879a011eea2f15e6149" id="r_a0016bdf5ba5ce879a011eea2f15e6149"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0016bdf5ba5ce879a011eea2f15e6149">predictionScalerData</a></td></tr>
<tr class="separator:a0016bdf5ba5ce879a011eea2f15e6149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bf51f6c5f0c65ba06eeba3c16e18796" id="r_a9bf51f6c5f0c65ba06eeba3c16e18796"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9bf51f6c5f0c65ba06eeba3c16e18796">X</a></td></tr>
<tr class="separator:a9bf51f6c5f0c65ba06eeba3c16e18796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2ca3a861eef23a4aab4d64009bc6aec" id="r_ac2ca3a861eef23a4aab4d64009bc6aec"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac2ca3a861eef23a4aab4d64009bc6aec">Y</a></td></tr>
<tr class="separator:ac2ca3a861eef23a4aab4d64009bc6aec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a6789b5fc9709e3da7ff6a3ab8d417" id="r_af5a6789b5fc9709e3da7ff6a3ab8d417"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af5a6789b5fc9709e3da7ff6a3ab8d417">K</a></td></tr>
<tr class="separator:af5a6789b5fc9709e3da7ff6a3ab8d417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf3b1c58e1c2d09ab695d564db4bd89" id="r_a4bf3b1c58e1c2d09ab695d564db4bd89"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4bf3b1c58e1c2d09ab695d564db4bd89">invK</a></td></tr>
<tr class="separator:a4bf3b1c58e1c2d09ab695d564db4bd89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a545f45a74992594c1abab224da943152" id="r_a545f45a74992594c1abab224da943152"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a545f45a74992594c1abab224da943152">stdOfOutput</a></td></tr>
<tr class="separator:a545f45a74992594c1abab224da943152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a190192bb9474c24510e8b34e3fae0763" id="r_a190192bb9474c24510e8b34e3fae0763"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a190192bb9474c24510e8b34e3fae0763">meanfunction</a></td></tr>
<tr class="separator:a190192bb9474c24510e8b34e3fae0763"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_struct_model_data"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_struct_model_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="struct_model_data.html">ModelData</a></td></tr>
<tr class="memitem:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data" id="r_a0e3c9ed044c4eba6c713ee181cd64bc0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a0e3c9ed044c4eba6c713ee181cd64bc0">ModelData</a> ()=default</td></tr>
<tr class="separator:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data" id="r_a187635f6ad5b6c948d0040c2134e5573"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a187635f6ad5b6c948d0040c2134e5573">~ModelData</a> ()=default</td></tr>
<tr class="separator:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>struct containing all information regarding the Gaussian process </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a9747c4e9b1dc647a48ca708254d141f0" name="a9747c4e9b1dc647a48ca708254d141f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9747c4e9b1dc647a48ca708254d141f0">&#9670;&#160;</a></span>DX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::GPData::DX</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Dimension of input </p>

</div>
</div>
<a id="abc4059f55f790dd99b89f06edc280807" name="abc4059f55f790dd99b89f06edc280807"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc4059f55f790dd99b89f06edc280807">&#9670;&#160;</a></span>DY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::GPData::DY</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Dimension of output </p>

</div>
</div>
<a id="ab4efbfa86dbc7ca4cbd863a3629c5ad5" name="ab4efbfa86dbc7ca4cbd863a3629c5ad5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4efbfa86dbc7ca4cbd863a3629c5ad5">&#9670;&#160;</a></span>inputScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::GPData::inputScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the input scaling </p>

</div>
</div>
<a id="a4bf3b1c58e1c2d09ab695d564db4bd89" name="a4bf3b1c58e1c2d09ab695d564db4bd89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bf3b1c58e1c2d09ab695d564db4bd89">&#9670;&#160;</a></span>invK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;double&gt; &gt; melon::GPData::invK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Inverse of K </p>

</div>
</div>
<a id="af5a6789b5fc9709e3da7ff6a3ab8d417" name="af5a6789b5fc9709e3da7ff6a3ab8d417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5a6789b5fc9709e3da7ff6a3ab8d417">&#9670;&#160;</a></span>K</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;double&gt; &gt; melon::GPData::K</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Covariance matrix for training data </p>

</div>
</div>
<a id="abf55d00a79969bcb9ddcb74575b6a5ab" name="abf55d00a79969bcb9ddcb74575b6a5ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf55d00a79969bcb9ddcb74575b6a5ab">&#9670;&#160;</a></span>kernelData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">kernel::KernelData</a>&gt; melon::GPData::kernelData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Data/Parameter for kernel used in Gaussian process </p>

</div>
</div>
<a id="a38be65d3ef7888bde2f9c2aaa26a296d" name="a38be65d3ef7888bde2f9c2aaa26a296d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38be65d3ef7888bde2f9c2aaa26a296d">&#9670;&#160;</a></span>matern</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::GPData::matern</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Identifier of matern kernel that is used in Gaussian process </p>

</div>
</div>
<a id="a190192bb9474c24510e8b34e3fae0763" name="a190192bb9474c24510e8b34e3fae0763"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a190192bb9474c24510e8b34e3fae0763">&#9670;&#160;</a></span>meanfunction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double melon::GPData::meanfunction</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af94460988623f8f8f5debb885629ed58" name="af94460988623f8f8f5debb885629ed58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af94460988623f8f8f5debb885629ed58">&#9670;&#160;</a></span>nX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::GPData::nX</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of training points </p>

</div>
</div>
<a id="a0016bdf5ba5ce879a011eea2f15e6149" name="a0016bdf5ba5ce879a011eea2f15e6149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0016bdf5ba5ce879a011eea2f15e6149">&#9670;&#160;</a></span>predictionScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::GPData::predictionScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the output scaling </p>

</div>
</div>
<a id="a545f45a74992594c1abab224da943152" name="a545f45a74992594c1abab224da943152"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a545f45a74992594c1abab224da943152">&#9670;&#160;</a></span>stdOfOutput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double melon::GPData::stdOfOutput</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Mean of training ouput, required for sclaing variance </p>

</div>
</div>
<a id="a9bf51f6c5f0c65ba06eeba3c16e18796" name="a9bf51f6c5f0c65ba06eeba3c16e18796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bf51f6c5f0c65ba06eeba3c16e18796">&#9670;&#160;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;double&gt; &gt; melon::GPData::X</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containg training input points </p>

</div>
</div>
<a id="ac2ca3a861eef23a4aab4d64009bc6aec" name="ac2ca3a861eef23a4aab4d64009bc6aec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2ca3a861eef23a4aab4d64009bc6aec">&#9670;&#160;</a></span>Y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::GPData::Y</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containg training observations </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/gaussian process/model/inc/<a class="el" href="gp_data_8h_source.html">gpData.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_g_p_data.html">GPData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
